package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.OrderLog;

/**
 * 订单服务记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface OrderLogMapper 
{
    /**
     * 查询订单服务记录
     * 
     * @param id 订单服务记录主键
     * @return 订单服务记录
     */
    public OrderLog selectOrderLogById(Long id);


     public int selectCountOrderLogByOrderId(String orderId);

     public List<OrderLog> selectOrderLogByOrderId(String orderId);
    /**
     * 查询订单服务记录列表
     * 
     * @param orderLog 订单服务记录
     * @return 订单服务记录集合
     */
    public List<OrderLog> selectOrderLogList(OrderLog orderLog);

    /**
     * 新增订单服务记录
     * 
     * @param orderLog 订单服务记录
     * @return 结果
     */
    public int insertOrderLog(OrderLog orderLog);

    /**
     * 修改订单服务记录
     * 
     * @param orderLog 订单服务记录
     * @return 结果
     */
    public int updateOrderLog(OrderLog orderLog);

    /**
     * 删除订单服务记录
     * 
     * @param id 订单服务记录主键
     * @return 结果
     */
    public int deleteOrderLogById(Long id);

    /**
     * 批量删除订单服务记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderLogByIds(Long[] ids);
}
